> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Overview

> Learn details about the 2026-01-01 version of our Payment APIs.

## Payment Gateway endpoints

Use the following base URLs depending on whether you are testing or processing live payments.

| Environment    | Base URL                                                                                                        |
| :------------- | :-------------------------------------------------------------------------------------------------------------- |
| Test           | `https://sandbox.cashfree.com/pg`                                                                               |
| Production     | `https://api.cashfree.com/pg`                                                                                   |
| Latest version | v6, 2026-01-01  <br />The previous versions were 2025-01-01, 2023-08-01, 2021-05-21, 2022-01-01, and 2022-09-01 |

## Authentication

All APIs require authentication except `POST /orders/sessions`, which does not require credentials and can be called directly from the browser.

For authentication details for merchants and partners, see [API authentication](/docs/api-reference/authentication).

## Payment gateway APIs

The following sections list all available APIs grouped by function.

### Orders

Use these APIs to create and manage payment orders.

| API                                                                          | Description                                                                                              |
| :--------------------------------------------------------------------------- | :------------------------------------------------------------------------------------------------------- |
| [Create Order](/docs/api-reference/payments/latest/orders/create-order)           | Use this API to create orders with Cashfree from your backend and get the payment link.                  |
| [Order Pay](/docs/api-reference/payments/latest/payments/order-pay)               | Use this API when you have already created the orders and want Cashfree Payments to process the payment. |
| [Preauthorization](/docs/api-reference/payments/latest/payments/preauthorisation) | Use this API to capture or void a preauthorized payment.                                                 |
| [Get Order](/docs/api-reference/payments/latest/orders/get-order)                 | Use this API to view all details of an order.                                                            |

### Authentication

Use this API to submit or resend an OTP during a payment flow.

| API                                                                                  | Description                                               |
| :----------------------------------------------------------------------------------- | :-------------------------------------------------------- |
| [Submit or Resend OTP](/docs/api-reference/payments/latest/payments/submit-or-resend-otp) | Use the submit or resend OTP API to send OTP to Cashfree. |

### Payments

Use these APIs to retrieve payment details for an order.

| API                                                                                            | Description                                                        |
| :--------------------------------------------------------------------------------------------- | :----------------------------------------------------------------- |
| [Get Payments for an Order](/docs/api-reference/payments/latest/payments/get-payments-for-an-order) | Use this API to view all payment details for an order.             |
| [Get Payment by ID](/docs/api-reference/payments/latest/payments/get-payment-by-id)                 | Use this API to view payment details of an order for a payment ID. |

### Settlements

Use these APIs to fetch settlement details for individual orders or across a date range.

| API                                                                                                   | Description                                                                                               |
| :---------------------------------------------------------------------------------------------------- | :-------------------------------------------------------------------------------------------------------- |
| [Get Settlements by Order ID](/docs/api-reference/payments/latest/settlements/get-settlements-by-order-id) | Use this API to view all the settlements of a particular order.                                           |
| [Get All Settlements](/docs/api-reference/payments/latest/settlement-reconciliation/get-all-settlements)   | Use this API to get all settlement details by specifying the settlement ID, settlement UTR or date range. |

### Payment links

Use these APIs to create, retrieve, and manage payment links.

| API                                                                                                         | Description                                                                                                                                     |
| :---------------------------------------------------------------------------------------------------------- | :---------------------------------------------------------------------------------------------------------------------------------------------- |
| [Create Payment Link](/docs/api-reference/payments/latest/payment-links/create-payment-link)                     | Use this API to create a new payment link. The created payment link url will be available in the API response parameter link\_url.              |
| [Fetch Payment Link Details](/docs/api-reference/payments/latest/payment-links/fetch-payment-link-details)       | Use this API to view all details and status of a payment link.                                                                                  |
| [Get Orders for a Payment Link](/docs/api-reference/payments/latest/payment-links/get-orders-for-a-payment-link) | Use this API to view all order details for a payment link.                                                                                      |
| [Cancel Payment Link](/docs/api-reference/payments/latest/payment-links/cancel-payment-link)                     | Use this API to cancel a payment link. No further payments can be done against a cancelled link. Only a link in ACTIVE status can be cancelled. |

### Token vault

Use these APIs to manage saved payment instruments for a customer.

| API                                                                                                                              | Description                                                                                                         |
| :------------------------------------------------------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------------------------------------ |
| [Fetch All Saved Instruments](/docs/api-reference/payments/latest/token-vault/fetch-all-saved-card-instrument)                        | Use this API to get all saved instruments for a customer ID.                                                        |
| [Fetch Single Saved Instrument](/docs/api-reference/payments/latest/token-vault/fetch-specific-saved-card-instrument)                 | Use this API to get specific saved instrument for a customer id and instrument ID.                                  |
| [Delete Saved Instrument](/docs/api-reference/payments/latest/token-vault/delete-saved-card-instrument)                               | Use this API to delete a saved instrument for a customer id and instrument ID.                                      |
| [Fetch Cryptogram for Saved Instrument](/docs/api-reference/payments/latest/token-vault/fetch-cryptogram-for-a-saved-card-instrument) | Use this API to get the card network token, token expiry and cryptogram for a saved instrument using instrument ID. |

### Reconciliation

Use these APIs to fetch reconciliation reports for settlements and payment gateway transactions.

| API                                                                                                             | Description                                                                                              |
| :-------------------------------------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------------------------- |
| [Settlement Reconciliation](/docs/api-reference/payments/latest/settlement-reconciliation/settlement-reconciliation) | Use this API to get settlement reconciliation details using Settlement ID, settlement UTR or date range. |
| [PG Reconciliation](/docs/api-reference/payments/latest/pg-reconciliation/pg-reconciliation)                         | Use this API to get the payment gateway reconciliation details with date range.                          |
